--- title: "SubscriptionExtend" slug: "security-certificatemanager-subscriptionextend" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-certificatemanager-subscriptionextend" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # SubscriptionExtend Available in Classic and VPC Extend subscription period for an Advanced certificate order. Note Subscription extensions are available only for Advanced certificates. There must be no active extensions within the same order. Eligibility for an extension is determined based on the difference between the subscription expiration year and the current year. - Year difference of 0 years: Extensions of 1, 2, or 3 years are available. - Year difference of 1 year: Extensions of 1 or 2 years are available. - Year difference of 2 years: A 1-year extension is available. - Year difference of 3 years or more: Extensions can't be done. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/certificate/subscription/extend | ### Request headers For information about the headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `orderId` | String | Required | Order ID to extend | | `subscriptionPeriod` | String | Required | Extension period - `1Y` \| `2Y` \| `3Y` - `1Y`: 1 year - `2Y`: 2 years - `3Y`: 3 years | ### Request example The request example is as follows: ``` curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/subscription/extend' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "orderId": "1", "subscriptionPeriod": "1Y" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success" } ```